; NVSC - DOS NVidia Scaler control by Martin Rehak, 13.1.2009
;
; This real-mode DOS program will enable the nVidia GPU to perform
; one of the following desired video display options on digital flat
; panel displays depending on the DOS command-line option entered.
;
; NVSC [option #]
;
; Option  "0" - NVidia GPU scaling enabled,  (default mode)
; Option  "1" - NVidia GPU scaling disabled, display centered
; Option  "2" - NVidia GPU scaling disabled, display in uppper left corner

        MOV     AX,4F14h        ; nVidia VESA VBE OEM function
        MOV     BX,0102h        ; BL: subfunction code (02h = set/get DFP expansion mode)
                                ; BH: subfunction mode (00h = get expansion mode)
                                ;                      (01h = set expansion mode)
        XOR     CX,CX           ; prepare CX register
        MOV     CL,[0082h]      ; get desired nVidia scaler option mode from DOS command-line
        SUB     CL,'0'          ; ASCII to hex adjust
                                ; CX: 00h = display scaling on (default mode)
                                ; CX: 01h = display scaling off and centered
                                ; CX: 02h = display scaling off and top left corner
        INT     10h             ; perform VESA BIOS call
	INT	20h	        ; exit to DOS
